<?php	
/*
	CMS ,,Black Min''  Został stworzony przez di_Timonix'a
	
	ten plik służy opsługi połączeń cms'a
	
	#pr1
	
	Black Min cms,
	
	#plik: 1.2
*/

	if(!defined('BMPATH')) {
		define('BMPATH', dirname( __FILE__ ).'/' );
	};
	
	if(!defined('BM')) {
		define('BM','bm/' );
	};
	
	if(!defined('LADUJ')) {
		define('LADUJ','laduj/' );
	};
	
	if(!defined('BM')) {
		define('BM','bm/' );
	};
	
	// tworzenie wyświetlanej zmienej black min cms
	// Cobright - Wszelkie Prawa Zasczerzone
	$black_min = "Black Min cms";
	
	// tworzenie zmienej globalnej do przechowywania informacji czy ma zostać załadowany kontent strony
	$bm_content_load = true;
	
	// plik konfikuracyjny bazy danych sql
	require_once "connect.php";
	
	global $host, $db_user, $db_password, $db_name, $polaczenie, $rezultat;
	
	require_once BMPATH . BM . LADUJ ."define-sciezka.php";
	
	require_once BMPATH . BM . LADUJ ."class-pr4.php";
	
	$pr4 = new pr4();
	$pr4->laduj_pr4();

	// sprawdzenie zmienych globalnych czy istnieje 
	// jezeli zmiena super globalna istnieje ładowanie black mina rozpocznie się!
	
	if (isset($GLOBAL_STATUS)) {
		echo '
			<section class="tsr tsr-alert tsr-alert-error">
				Błąd Serwera! Wprowadzony Przez Ciebie KOD Zawiódł i Nie Umożliwia Działanie Innych Programów Prawidłowo! Zmień Lub Usuń KOD żeby Wszystko Chodziło Jak Trzeba!!!!
			</section>
			<section class="tsr tsr-alert tsr-alert-error">
				Kod Błędu: ERROR_CODE AND ERROR_CODE_FATAL
			</section>
		';
		exit();
	};	

	// publiczna zmiena odpowiedzialna za zqłaszanie błędu w razie nie wyszukania posta w bazie danych
	$ERROR_404 = false;

	// przyłączanie klasy odpiwiedzialnej za status serwera cms
	require_once BMPATH . BM . LADUJ ."class-get-status.php"; 
	// Tworzenie nowej klasy i wywołanie jej w celu pobrania ustawień Black Mina
	$get_status_bm = new get_status_bm(); 
	$get_status_bm->get_status();
	$status_bm = $get_status_bm->get_status();
	$bm_nick_admin_bm = $status_bm["bm_wartosc"][0];
	$bm_mail_admin_bm = $status_bm["bm_wartosc"][1];
	$bm_wersja_db = $status_bm["bm_wartosc"][2];
	$bm_aupt_public = $status_bm["bm_wartosc"][3];
	$bm_aupt_private = $status_bm["bm_wartosc"][4];
	$bm_aupt_acces = $status_bm["bm_wartosc"][5];
	$bm_data_instalacji = $status_bm["bm_wartosc"][6];
	$bm_wersja_black_min = $status_bm["bm_wartosc"][7];
	
	// przyłączanie klasy odpiwiedzialnej za ustawienia serwera
	require_once BMPATH . BM . LADUJ ."class-get-ustawienia.php"; 

	// Tworzenie nowej klasy i wywołanie jej w celu pobrania ustawień Black Mina
	$get_ustawienia_bm = new get_ustawienia_bm(); 
	$get_ustawienia_bm->get_ustawienia();
	$ustawienia_bm = $get_ustawienia_bm->get_ustawienia();
	$url_instalacji_bm = $ustawienia_bm["bm_wartosc"][0];
	$url_witryny_bm = $ustawienia_bm["bm_wartosc"][1];
	
	$_SESSION['url_instalacji_bm'] = $url_instalacji_bm ;
	$_SESSION['url_witryny_bm'] = $url_witryny_bm ;
	
	require_once BMPATH . BM . LADUJ ."class-get-url.php"; 

	$get_url_bm = new url_bm();
	//echo $get_url_bm->get_url_bm();
	$url_sprawdz = $get_url_bm->get_url_bm();
	
	// ładowanie ustawień black min'a dostępnych i łatwych do użycja dla programisty bm
	require_once BMPATH . BM . LADUJ . "ustawienia.php";

	// ładowanie statusu black min'a dostępnych i łatwych do użycja dla programisty bm
	require_once BMPATH . BM . LADUJ . "status.php";

	// ładowanie głównego menu black mina dla dostępnych i łatwych do użycja dla programisty bm
	require_once BMPATH . BM . LADUJ . "class-menu.php";
	
	// ładowanie głównego silnika ładującego posty black mina dla dostępnych i łatwych do użycja dla programisty bm
	require_once BMPATH . BM . LADUJ . "class-posts.php";
	
	// ładowanie głównego silnika ładującego posta black mina dla dostępnych i łatwych do użycja dla programisty bm
	require_once BMPATH . BM . LADUJ . "class-post.php";

	// ładowanie głównego silnika ładującego posta szukającego black mina dla dostępnych i łatwych do użycja dla programisty bm
	require_once BMPATH . BM . LADUJ . "class-posts-search.php";

	// ładowanie klasy odpowiedzialnej za zarządzaniem za generowanie i kontrolowanie nagłówka head w szoblonie html_entity_decode
	require_once BMPATH . BM . LADUJ . "class-head-load.php"; 

	// ładowanie głównego silnika ładującego social media zezwolone i sprawdzone przez administratorów black mina dla dostępnych i łatwych do użycja dla programisty bm
	require_once BMPATH . BM . LADUJ . "class-get-socialmedia.php";

	// funkcjia bm sprawdzająca url i przekierewująca na podaną nazwe w url
	
	// blokowanie ładowania kontentu bm jeżeli jest włączona konserwaja witryny
	if(mode_maintenance_bm() == "true") {
		$bm_content_load = false;
	}

	// klasa > funkcjia do powiadomienia programistę i motym jaki należy teraz załadować kontent strony czy?(index/ post page, page)
	$content_load = "index";
	/*class content_load_bm{
		var $content_to_load_blackminx = "index";
		public function update_content_load($tt){
			$this->content_to_load_blackminx = "$tt";
		}
		
		public function content_load(){
			return $this->content_to_load_blackminx;
		}
	}*/

	/*class content_load_bm {
	
		var $content_to_load_blackminx = "index";
	

		
		// funkcjia do pobierania danych posta
		public function update_content_load($tt){
			return $this->ile_query_post_load = "$tt";
		}
		
		public function content_load(){
			return $this->content_to_load_blackminx;
		}


	}*/
	
	//function check_url_bm($url_sprawdz, $url_instalacji_bm, $url_witryny_bm) {
		//global $url_sprawdz,$sp_name,$i_sp_url;
		global $url_sprawdz;
		
		// dodanie danych do sprawdzenia czy wystąpują w adresie url
		$sp_name = [
			"",
			"admin",
			"przerwa-techniczna",
		];
		
		$sp_name_p = [];
		
		$i_sp_url = count($sp_name);
		// ati  aplkacyjiny Timonix'a identyfikator
		// atpi aplikacyjiny Timonix'a protokuł identyfikacyiny
		$admin_url_sp = [
		"admin-panel",
		"admin-add-post",
		"admin-all-post",
		"admin-kategorie-tagi-post",
		"admin-ustawienia",
		"admin-black-min",
		"admin-socialmedia",
		"admin-statystyki",
		"admin-user-all",
		"admin-add-user",
		"admin-ustawienia-posta",
		"admin-update-bm",
		"admin-dysk",
		"admin-add-dane",
		"admin-komentarze",
		"admin-motywy-bm",
		"admin-pluginy",
		"admin-add-plugin",
		"admin-skrypty",
		"admin-add-skrypt",
		"admin-edit-skrypt",
		"admin-moj-profil",
		"admin-baza-danych",
		"admin-import-baza-danych",
		"admin-eksport-baza-danych",
		"admin-eksport-baza-danych",
		"admin-meil",
		"admin-ustawienia-spoleczne",
		"admin-ustawienia-linki-i-czas",
		"admin-ustawienia-prywatnosc",
		"",
		];
		
		$i_admin_url_sp = count($admin_url_sp);
		//echo $i_admin_url_sp;

		//$url_bm_t = false;
		$url_bm_t = "";
		
		// rozbjicie adresu url po / 
		$sample_url_bm =  explode("/", $url_sprawdz);
		
		// zliczanie rozbitych wyrazów url
		$sample_url_bm_zlicz =  count($sample_url_bm );

		// tworzenie zmienej do prziekierowania
		$admin_heder = $url_instalacji_bm . BM . ADMIN . "admin-panel.php";

		//for ($x=0; $x<$sample_url_bm_zlicz; $x++){
			//echo $sample_url_bm[$x];
			//echo $sample_url_bm[$sample_url_bm_zlicz-2];
				//echo "__";
				
			if($sample_url_bm[$sample_url_bm_zlicz-1] == "admin") {
				//header("Location: bm/admin");
				//header('Location: bm/admin/admin-panel.php');
				//echo "tak ".$x;
				echo '<meta http-equiv="Refresh" content="0; '.$admin_heder.'  ">';
				exit();
			}	

			// includowanie pliku odpowiedzialnego za powiadomienie o przerweie technicznej
			if(mode_maintenance_bm() == "true") {
				
				require_once BMPATH . "bm-przerwa-techniczna.php"; 
				$bm_content_load = "false";
				$bm_content_load = false;
			}	
			
			//sprawdzanie czy użytkownik wybrał Stronę główną
			// redystrybucja postów do załadowania
			if($sample_url_bm_zlicz == 1) {
				$home = new posts_bm();

				//pobieranie informacji z formularza o haśle chronionego posta
				if(isset($_POST['update_load_posts'])){
					$update_load_posts = $_POST['update_load_posts'];
					$home->update_load_post($update_load_posts);
				}else{
					$home->update_load_post(default_load_posts_bm());
				}
				
				$home->get_post_bm();
	
				// przyłączanie pliku który przepisuje dane o postach do funkcji
				require_once BMPATH . BM . LADUJ . "posts.php";
	
				$content_load = "home";
				
				if($home->query_load_post() == 0){
					$ERROR_404 = true;
					$content_load = "post_404";
				}
				
			}

			//sprawdzanie czy użytkownik wybrał Stronę główną i czy szuka posta
			// redystrybucja postów do załadowania
			if($sample_url_bm_zlicz == 1) {
				if((isset($_GET['szukaj_post'])) OR (isset($_GET['s']))){
					if(isset($_GET['szukaj_post'])){
						$szukaj_posta = $_GET['szukaj_post'];
					}
					
					if(isset($_GET['s'])){
						$szukaj_posta = $_GET['s'];
					}
					
					$szukaj_w_bazie = new posts_search_bm();
	
					$szukaj_w_bazie->update_post_search($szukaj_posta);
	
					//pobieranie informacji z formularza o haśle chronionego posta
					if(isset($_POST['update_load_posts_search'])){
						$update_load_posts = $_POST['update_load_posts_search'];
						$szukaj_w_bazie->update_load_post_search($update_load_posts);
					}else{
						$szukaj_w_bazie->update_load_post_search(default_load_posts_bm());
					}
					
					$szukaj_w_bazie->get_post_search_bm();
		
					// przyłączanie pliku który przepisuje dane o postach do funkcji
					require_once BMPATH . BM . LADUJ . "posts-search.php";
		
					$content_load = "search_page";

				}
			}

			//sprawdzanie czy użytkownik wybrał jakiś post
			// redystrybucja postów do załadowania
			if($sample_url_bm_zlicz == 2) {
				$sprawdz_post = new post_bm();
				$sprawdz_post->update_load_post($sample_url_bm[$sample_url_bm_zlicz-2]);
				
				//pobieranie informacji z formularza o haśle chronionego posta
				if(isset($_POST['acces_to_protect_post'])){
					$acces_to_protect_post = $_POST['acces_to_protect_post'];
					$sprawdz_post->change_password_post($acces_to_protect_post);
				}
				
				$sprawdz_post->get_post_bm();
	
				// przyłączanie pliku który przepisuje nam dane o pośćie do pliku
				require_once BMPATH . BM . LADUJ . "post.php";
	
				$content_load = "post_page";
				
				if($sprawdz_post->query_load_post() == 0){
					$ERROR_404 = true;
					$content_load = "post_404";
				}
				
			}
				//echo $url_sprawdz;
		//}	
			
			// sprawdzanie 
			
		$sp_search_db = [
			"elo",
			"minda-32",
			"siema",
		];
		
		$i_sp_url = count($sp_name);
					
		//$ substr($fraza, 0, -1)
		
	//};
		
	
	//$content_load = check_url_bm($url_sprawdz, $url_instalacji_bm, $url_witryny_bm);	
	
	
	//content_load_bm::update_content_load("nyga");
	
	//echo content_load_bm::content_load();
	
	
	//$spr = new content_load_bm();
	//$spr->update_content_load("nyga");
	//echo $spr->content_load();
	
	function content_load(){
		global $content_load;
		return $content_load;
	}

	// sprawdzanie czy adres instalacji black min'a jest taki sam jak adres serwera bm
	// jeżeli nie to przekierowujemy na odpowiedni adres
	if (url_serwer_bm() != url_site_bm()){	
		if($content_load == "index"){
			echo '<meta http-equiv="Refresh" content="0; '.url_site_bm().'  ">';
			exit();
		}
	}else{
		if($content_load == "index"){
			//echo '<meta http-equiv="Refresh" content="0; '.url_site_bm().'  ">';
			//exit();
		}
	}
	
	// sprawdzanie czy social media zostały pobrane z bazy prawidłowo
	$new_socialmedia_bm = new get_socialmedia_bm();
	$socialmedia_bm = $new_socialmedia_bm->get_socialmedia(); 
	// przyłączanie pliku z funkcjiami do social media aby łatwiej nimi zarządzać
	require_once BMPATH . BM . LADUJ . "socialmedia.php";
	
	// Funkcjie do konwertowania nazw pluginów na pliki z kontentem pluginu 	
	// tablice d o przechowywania danych przekonwerowanych pluginów
	$top_box_content = [];
	$left_box_content = [];
	$right_box_content = [];
	$bottom_box_content = [];
	$footer_box_content = [];
	
	// konwerowanie danych black min do tablicy
	// sprawdzanie czy box nie jest pusty
	if(top_box_bm() !== "NULL"){
		$top_box_tab = explode(",", top_box_bm());
	}else{
		$top_box_tab = [];
	};
	if(left_box_bm() !== "NULL"){
		$left_box_tab = explode(",", left_box_bm());
	}else{
		$left_box_tab = [];
	};
	if(right_box_bm() !== "NULL"){
		$right_box_tab = explode(",", right_box_bm());
	}else{
		$right_box_tab = [];
	};	
	if(bottom_box_bm() !== "NULL"){
		$bottom_box_tab = explode(",", bottom_box_bm());
	}else{
		$bottom_box_tab = [];
	};	
	if(footer_box_bm() !== "NULL"){
		$footer_box_tab = explode(",", footer_box_bm());
	}else{
		$footer_box_tab = [];
	};	
	
	// zliczanie ile jest zainiciowanych pluginów  top boxie
	$top_box_tab_zlicz = count($top_box_tab);
	$left_box_tab_zlicz = count($left_box_tab);
	$right_box_tab_zlicz = count($right_box_tab);
	$bottom_box_tab_zlicz = count($bottom_box_tab);
	$footer_box_tab_zlicz = count($footer_box_tab);
	
	if(isset($szukaj_posta)){
		$szukaj_posta_kk = $szukaj_posta;
	}else{
		$szukaj_posta_kk = "";
	}
	
	for ($i = 0; $i < $top_box_tab_zlicz; $i++) {

		if($top_box_tab[$i] == "Logowanie"){
			array_push($top_box_content, '<section class="tsr fs-100 tsr-p-10px bm-logowanie"><a href="'.url_serwer_bm().'bm/logowanie.php">Logowanie</a></section>');
		}
		if($top_box_tab[$i] == "Wyszukiwarka"){
			array_push($top_box_content, '
			
				<form accept-charset="UTF-8" action="'.url_site_bm().'" method="get" autocomplete="off" class="tsr-p-10px search_form_bm">	
					<section class="tsr tsr-position-relative">
						<input type="search" name="szukaj_post" class="input tsr-icons-left col-ms90 tsr-width-webkit-fill-available col-ms90" placeholder="Szukaj" value="'. $szukaj_posta_kk.'">
						<section type="search" name="szukaj" class="tsr-width-50px input tsr-icons-right tsr-icons-box-right col-st10" id="search">
							<img src="'.url_server_bm().'pliki/ikony/szukaj.png">
						</section>
					</section>
				</form>			
			
			');
		}
		if(is_dir ( "a/pluginy/".$top_box_tab[$i] )  == true){

			ob_start();
			
			require (BMPATH . A . PLUGINY . $top_box_tab[$i] ."/plugin-content.php");		
			
			$out = ob_get_contents();
		
			ob_end_clean();
			
			array_push($top_box_content, $out);
			
			ob_clean();
			
		};		
		
	}

	for ($i = 0; $i < $left_box_tab_zlicz; $i++) {

		if($left_box_tab[$i] == "Logowanie"){
			array_push($left_box_content, '<section class="tsr fs-100 tsr-p-10px bm-logowanie"><a href="'.url_serwer_bm().'bm/logowanie.php">Logowanie</a></section>');
		}
		if($left_box_tab[$i] == "Wyszukiwarka"){
			array_push($left_box_content, '
			
				<form accept-charset="UTF-8" action="'.url_site_bm().'" method="get" autocomplete="off" class="tsr-p-10px search_form_bm">	
					<section class="tsr tsr-position-relative">
						<input type="search" name="szukaj_post" class="input tsr-icons-left col-ms90 tsr-width-webkit-fill-available col-ms90" placeholder="Szukaj" value="'. $szukaj_posta_kk.'">
						<section type="search" name="szukaj" class="tsr-width-50px input tsr-icons-right tsr-icons-box-right col-st10" id="search">
							<img src="'.url_server_bm().'pliki/ikony/szukaj.png">
						</section>
					</section>
				</form>			
			
			');
		}
		if(is_dir ( "a/pluginy/".$left_box_tab[$i] )  == true){

			ob_start();
			
			require (BMPATH . A . PLUGINY . $left_box_tab[$i] ."/plugin-content.php");		
			
			$out2 = ob_get_contents();
		
			ob_end_clean();
			
			array_push($left_box_content, $out2);
			
			ob_clean();
			
		};		
		
	}

	for ($i = 0; $i < $right_box_tab_zlicz; $i++) {

		if($right_box_tab[$i] == "Logowanie"){
			array_push($right_box_content, '<section class="tsr fs-100 tsr-p-10px bm-logowanie"><a href="'.url_serwer_bm().'bm/logowanie.php">Logowanie</a></section>');
		}
		if($right_box_tab[$i] == "Wyszukiwarka"){
			array_push($right_box_content, '
			
				<form accept-charset="UTF-8" action="'.url_site_bm().'" method="get" autocomplete="off" class="tsr-p-10px search_form_bm">	
					<section class="tsr tsr-position-relative">
						<input type="search" name="szukaj_post" class="input tsr-icons-left col-ms90 tsr-width-webkit-fill-available col-ms90" placeholder="Szukaj" value="'. $szukaj_posta_kk.'">
						<section type="search" name="szukaj" class="tsr-width-50px input tsr-icons-right tsr-icons-box-right col-st10" id="search">
							<img src="'.url_server_bm().'pliki/ikony/szukaj.png">
						</section>
					</section>
				</form>			
			
			');
		}
		if(is_dir ( "a/pluginy/".$right_box_tab[$i] )  == true){

			ob_start();
			
			require (BMPATH . A . PLUGINY . $right_box_tab[$i] ."/plugin-content.php");		
			
			$out3 = ob_get_contents();
		
			ob_end_clean();
			
			array_push($right_box_content, $out3);
			
			ob_clean();
			
		};		
		
	}

	for ($i = 0; $i < $bottom_box_tab_zlicz; $i++) {

		if($bottom_box_tab[$i] == "Logowanie"){
			array_push($bottom_box_content, '<section class="tsr fs-100 tsr-p-10px bm-logowanie"><a href="'.url_serwer_bm().'bm/logowanie.php">Logowanie</a></section>');
		}
		if($bottom_box_tab[$i] == "Wyszukiwarka"){
			array_push($bottom_box_content, '
			
				<form accept-charset="UTF-8" action="'.url_site_bm().'" method="get" autocomplete="off" class="tsr-p-10px search_form_bm">	
					<section class="tsr tsr-position-relative">
						<input type="search" name="szukaj_post" class="input tsr-icons-left col-ms90 tsr-width-webkit-fill-available col-ms90" placeholder="Szukaj" value="'. $szukaj_posta_kk.'">
						<section type="search" name="szukaj" class="tsr-width-50px input tsr-icons-right tsr-icons-box-right col-st10" id="search">
							<img src="'.url_server_bm().'pliki/ikony/szukaj.png">
						</section>
					</section>
				</form>			
			
			');
		}
		if(is_dir ( "a/pluginy/".$bottom_box_tab[$i] )  == true){

			ob_start();
			
			require (BMPATH . A . PLUGINY . $bottom_box_tab[$i] ."/plugin-content.php");		
			
			$out4 = ob_get_contents();
		
			ob_end_clean();
			
			array_push($bottom_box_content, $out4);
			
			ob_clean();
			
		};		
		
	}

	for ($i = 0; $i < $footer_box_tab_zlicz; $i++) {

		if($footer_box_tab[$i] == "Logowanie"){
			array_push($footer_box_content, '<section class="tsr fs-100 tsr-p-10px bm-logowanie"><a href="'.url_serwer_bm().'bm/logowanie.php">Logowanie</a></section>');
		}
		if($footer_box_tab[$i] == "Wyszukiwarka"){
			array_push($footer_box_content, '
			
				<form accept-charset="UTF-8" action="'.url_site_bm().'" method="get" autocomplete="off" class="tsr-p-10px search_form_bm">	
					<section class="tsr tsr-position-relative">
						<input type="search" name="szukaj_post" class="input tsr-icons-left col-ms90 tsr-width-webkit-fill-available col-ms90" placeholder="Szukaj" value="'. $szukaj_posta_kk.'">
						<section type="search" name="szukaj" class="tsr-width-50px input tsr-icons-right tsr-icons-box-right col-st10" id="search">
							<img src="'.url_server_bm().'pliki/ikony/szukaj.png">
						</section>
					</section>
				</form>			
			
			');
		}
		if(is_dir ( "a/pluginy/".$footer_box_tab[$i] )  == true){

			ob_start();
			
			require (BMPATH . A . PLUGINY . $footer_box_tab[$i] ."/plugin-content.php");		
			
			$out5 = ob_get_contents();
		
			ob_end_clean();
			
			array_push($footer_box_content, $out5);
			
			ob_clean();
			
		};		
		
	}
	
	//echo $top_box_content[0];
	
	// funkcjia do wyświetlania widżetów
	function get_top_widget_bm(){
		// includowania zmienych globalnych
		global $top_box_content;
		
		// zliczanie aktywnych widżetów w top boxie
		$top_box_content_zlicz = count($top_box_content);
		
		// zmienia przechowywują dane tekstowe
		$top = "";
		
		// pętla do wyświetlania widżetów
		for ($i = 0; $i < $top_box_content_zlicz; $i++) {
			$top .= $top_box_content[$i];
			
			/*if(is_dir ( "a/pluginy/".$top_box_content[$i] )  == true){

				ob_start();
				
				require_once (BMPATH . A . PLUGINY . $top_box_content[$i] ."/plugin-content.php");		
				//$widzet_contens =  file_get_contents(BMPATH . A . PLUGINY . $top_box_content[$i] ."/plugin-content.php");	
				//var_dump($widzet_contens);
				//echo $widzet_contens;
				
				$out = ob_get_contents();
			
				ob_end_clean();
				
				$top .= $out;
				
			};*/
			
		}
		
		// zwracanie wyrenderowanych danych
		return $top;
	}

	function get_left_widget_bm(){
		// includowania zmienych globalnych
		global $left_box_content;
		
		// zliczanie aktywnych widżetów w left boxie
		$left_box_content_zlicz = count($left_box_content);
		
		// zmienia przechowywują dane tekstowe
		$left = "";
		
		// pętla do wyświetlania widżetów
		for ($i = 0; $i < $left_box_content_zlicz; $i++) {
			$left .= $left_box_content[$i];		
		}
		
		// zwracanie wyrenderowanych danych
		return $left;
	}

	function get_right_widget_bm(){
		// includowania zmienych globalnych
		global $right_box_content;
		
		// zliczanie aktywnych widżetów w right boxie
		$right_box_content_zlicz = count($right_box_content);
		
		// zmienia przechowywują dane tekstowe
		$right = "";
		
		// pętla do wyświetlania widżetów
		for ($i = 0; $i < $right_box_content_zlicz; $i++) {
			$right .= $right_box_content[$i];		
		}
		
		// zwracanie wyrenderowanych danych
		return $right;
	}

	function get_bottom_widget_bm(){
		// includowania zmienych globalnych
		global $bottom_box_content;
		
		// zliczanie aktywnych widżetów w bottom boxie
		$bottom_box_content_zlicz = count($bottom_box_content);
		
		// zmienia przechowywują dane tekstowe
		$bottom = "";
		
		// pętla do wyświetlania widżetów
		for ($i = 0; $i < $bottom_box_content_zlicz; $i++) {
			$bottom .= $bottom_box_content[$i];		
		}
		
		// zwracanie wyrenderowanych danych
		return $bottom;
	}

	function get_footer_widget_bm(){
		// includowania zmienych globalnych
		global $footer_box_content;
		
		// zliczanie aktywnych widżetów w footer boxie
		$footer_box_content_zlicz = count($footer_box_content);
		
		// zmienia przechowywują dane tekstowe
		$footer = "";
		
		// pętla do wyświetlania widżetów
		for ($i = 0; $i < $footer_box_content_zlicz; $i++) {
			$footer .= $footer_box_content[$i];		
		}
		
		// zwracanie wyrenderowanych danych
		return $footer;
	}
	//echo get_top_widget();
	

//var_dump($out1, $out2);
	
	//echo $out2;echo $out2;echo $out2;echo $out2;echo $out2;echo $out2;echo $out2;
	//var_dump(memory_get_usage());
	//var_dump(sys_getloadavg());

	
	/*
function get_server_memory_usage(){
	
	$free = shell_exec('free');
	$free = (string)trim($free);
	$free_arr = explode("\n", $free);
	$mem = explode(" ", $free_arr[1]);
	$mem = array_filter($mem);
	$mem = array_merge($mem);
	$memory_usage = $mem[2]/$mem[1]*100;
echo $memory_usage;
	return $memory_usage;
}

function get_server_cpu_usage(){

	$load = sys_getloadavg();
	return $load[0];

}	
//get_server_memory_usage();
get_server_cpu_usage();
echo '

<p><span class="description">Server Memory Usage:</span> <span class="result">= get_server_memory_usage() ?&gt;%</span></p>
<p><span class="description">Server CPU Usage: </span> <span class="result">= get_server_cpu_usage() ?&gt;%</span></p>

';*/
	
	
	
	
	

	
	
	
	
	//echo $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'];
	
	
	

	/*class url {
	
		public $url = $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'];
		return $url;
	
	}
	
	$url = new url();
	echo $url;*/
	
	/* nazwa url zajnstalowanego black min'a - nazwa url i nazwa orginalna */
	
	
	//$http_name = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http");
	//$http_p = "://";
	
	//$url_serw_bm = $http_name . $http_p . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI']; # or define || $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF']; 
	//$url_full_serw_bm = $http_name . $http_p . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF']; # or define || $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF']; 
	$site_name = $_SERVER['REQUEST_URI'];
	
	# pobranie całej ścieżki dysku $_SERVER["SCRIPT_FILENAME"]
	
	//global $url_serw_bm, $black_min, $url_full_serw_bm, $site_name, $full_name_str_bm;
	//echo  $url_serw_bm;


	//require_once "bm-incules.php";
	
	//$full_name_str_bm = $nazwa_strony." / ".$black_min;
	
/* zbieranie wszystkich danych o serwerze
	
	$indicesServer = array('PHP_SELF', 
'argv', 
'argc', 
'GATEWAY_INTERFACE', 
'SERVER_ADDR', 
'SERVER_NAME', 
'SERVER_SOFTWARE', 
'SERVER_PROTOCOL', 
'REQUEST_METHOD', 
'REQUEST_TIME', 
'REQUEST_TIME_FLOAT', 
'QUERY_STRING', 
'DOCUMENT_ROOT', 
'HTTP_ACCEPT', 
'HTTP_ACCEPT_CHARSET', 
'HTTP_ACCEPT_ENCODING', 
'HTTP_ACCEPT_LANGUAGE', 
'HTTP_CONNECTION', 
'HTTP_HOST', 
'HTTP_REFERER', 
'HTTP_USER_AGENT', 
'HTTPS', 
'REMOTE_ADDR', 
'REMOTE_HOST', 
'REMOTE_PORT', 
'REMOTE_USER', 
'REDIRECT_REMOTE_USER', 
'SCRIPT_FILENAME', 
'SERVER_ADMIN', 
'SERVER_PORT', 
'SERVER_SIGNATURE', 
'PATH_TRANSLATED', 
'SCRIPT_NAME', 
'REQUEST_URI', 
'PHP_AUTH_DIGEST', 
'PHP_AUTH_USER', 
'PHP_AUTH_PW', 
'AUTH_TYPE', 
'PATH_INFO', 
'ORIG_PATH_INFO') ; 

echo '<table cellpadding="10">' ; 
foreach ($indicesServer as $arg) { 
    if (isset($_SERVER[$arg])) { 
        echo '<tr><td>'.$arg.'</td><td>' . $_SERVER[$arg] . '</td></tr>' ; 
    } 
    else { 
        echo '<tr><td>'.$arg.'</td><td>-</td></tr>' ; 
    } 
} 
echo '</table>' ; 

*/
?>